Jevents 2.x (Free Access)

1.5.5 to 2.0.4 with Joomla 1.7

Discuss JEvents 2.x for Joomla 1.5-2.5 here - club members can use the special club forum for faster response times.
Forum rules
When requesting support please follow these steps:

1. Update all JEvents add on's first, via the Joomla! Updater
2. Copy and Paste the JEvents Support Information from the JEvents Control Panel.
3. If you get a 500 error OR white page, enable Maximum Error Reporting in Joomla! Global Config and visit the page again, this should give you a more detailed error and help us provide a prompt response.

Postby vmrayner » Thu Oct 06, 2011 4:36 am

I recently upgraded Joomla to 1.7 and am trying to upgrade all my components as well.
My Jevents 1.5.5 was working well. Reading that I did not have to uninstall anything first, I tried to install the com_jevents_2.0.4.zip file using the extension manager. I got:
JFTP::write: Bad response
Unable to write entry
So I copied files into a tmp directory and attempted to install from directory. Got the following message:
-1 - •An error has occurred.•

•It was not possible to copy the selected file.•

Call stack
# Function Location
1 JAdministrator->dispatch() /home/rosevill/public_html/administrator/index.php:67
2 JComponentHelper->renderComponent() /home/rosevill/public_html/administrator/includes/application.php:136
3 require_once() /home/rosevill/public_html/libraries/joomla/application/component/helper.php:162
4 JController->execute() /home/rosevill/public_html/administrator/components/com_installer/admin.installer.php:44
5 InstallerController->doInstall() /home/rosevill/public_html/libraries/joomla/application/component/controller.php:236
6 InstallerModelInstall->install() /home/rosevill/public_html/administrator/components/com_installer/controller.php:71
7 JInstaller->install() /home/rosevill/public_html/administrator/components/com_installer/models/install.php:86
8 JInstallerComponent->install() /home/rosevill/public_html/libraries/joomla/installer/installer.php:332
9 JInstaller->parseFiles() /home/rosevill/public_html/libraries/joomla/installer/adapters/component.php:172
10 JInstaller->copyFiles() /home/rosevill/public_html/libraries/joomla/installer/installer.php:642
11 JFolder->copy() /home/rosevill/public_html/libraries/joomla/installer/installer.php:931
12 JFolder->copy() /home/rosevill/public_html/libraries/joomla/filesystem/folder.php:86
13 JError->raiseError() /home/rosevill/public_html/libraries/joomla/filesystem/folder.php:97
14 JError->raise() /home/rosevill/public_html/libraries/joomla/error/error.php:171
15 JException->__construct() /home/rosevill/public_html/libraries/joomla/error/error.php:136


PHP Version is 5.2.17 and Memory limit is 128M.

I'm not sure what to do next. Any ideas?
vmrayner
 
Posts: 5
Joined: Fri Mar 04, 2011 2:06 am

Postby Tonyp » Thu Oct 06, 2011 6:30 am

get akeeba admin tools and preform a permissions check. and database check.

next time i would advise upgrading the components before joomla :).
---------------------------------------
Feel free to PM me if you would like Custom Installs or Joomla! related work for a competitive quote.

User avatar
Tonyp
Team Staff
 
Posts: 23769
Joined: Tue Oct 12, 2010 9:12 pm
Location: Isle of Man

Postby Jadzia » Fri Oct 07, 2011 2:20 am

I updated my components before upgrading from 1.5.5 to 1.7 yet in JEvents am unable to see any of the events or categories from the original calendar.

Anyone have any ideas?
Jadzia
 
Posts: 4
Joined: Tue Jun 15, 2010 11:57 pm

Postby Tonyp » Fri Oct 07, 2011 6:33 am

did you use the migration tool? :)

its in the downloads section
---------------------------------------
Feel free to PM me if you would like Custom Installs or Joomla! related work for a competitive quote.

User avatar
Tonyp
Team Staff
 
Posts: 23769
Joined: Tue Oct 12, 2010 9:12 pm
Location: Isle of Man

Postby mplsdancehall » Tue Oct 18, 2011 5:39 am

Is the migration tool compatible with an SP Upgrade (instead of jUpgrade) migration? I have JEvents 2.0.6 on my Joomla!1.5.23 site and would like to migrate to J!1.7.1 (I will upgrade to J!1.7.2 once I can regain access to my site),

I have tried the iCal export/import and cannot get it to work. I currently have 11 categories, and a bunch of (mostly repeating) events. Is this causing the problems (too much to import)? My iCal export page: http://mplsdancehall.com/home/ical-export/icals.ical/- [I do nto need all the years listed, mainly 2006 and on...or more recent ones only if necessary]

The 2nd time, I used a fresh 1.7.1 install and (tried) imported the iCal file, and the site (back-end) immediately crashed.

Currently, I am working on yet another 1.7.1 site migrated using SP Upgrade (which I would recommend, it was worth the 20euros to have all images, sections, categories, etc, migrated with id#'s intact). But, because I was having issues overall (not with the migrated files), I went to turn on Debug and Debug Language and unfortunately all I get on the back-end is a 500 internal server error :(

I had a native calendar (set as default) and had installed the language override folder on the 1.7.1 installations prior to the migration attempts. I was originally working on FF, then Chrome, and now IE. MySQL - 5.0.91-log. phpMyAdmin - 2.8.0.1.

Please help! :)
Thanks!
User avatar
mplsdancehall
 
Posts: 4
Joined: Sat Oct 15, 2011 9:24 am

Postby Geraint » Tue Oct 18, 2011 10:36 am

It should work but keep an up to date backup before trying.
JEvents Club members can get priority forum support at the Support Forum. As well as access to a variety of custom JEvents addons and benefits. Join the JEvents club today!
User avatar
Geraint
 
Posts: 42811
Joined: Fri Feb 15, 2008 6:14 pm

Postby mplsdancehall » Tue Oct 18, 2011 9:24 pm

OK I will try it.... I am reading the instructions for the upgrade product and wondering how do I "Edit the file and change line 11...". This is a zipped PHP file, right? I'm sorry but I am not sure how to edit a PHP file. And is it correct that I am editing it before uploading/installing it? Can you please advise how to do this? (is there a program in[or compatible with] my Windows Vista PC -- my system is asking me to find a program to do this and I am not sure what to do) Thank you!

========================================================
INSTRUCTIONS FOR upgradejevents_1.2:
Remove the jevents tables you migrated by hand (i.e. any tables you created in Joomla 1.6 already)
Backup both sites (it shouldn't be necessary but its always a good idea to be safe)
Edit the file and change line 11 to reflect your server. i.e. change the line that readsdefine("NEWSITEPATH", "jupgrade"); the value to set for NEWSITEPATH is the subfolder of the Joomla 1.5 site where your jupgraded version of Joomla 1.6 is.
You can set this up as a unix softlink but read the instructions in the code file if you want to do this
Upload the file to the root of your Joomla 1.5 installation
Make sure you are logged in to the backend of Joomla 1.6 as a super user
Run the script by calling it in your browser e.g. http://www.j15site.com/updatejevents.php
User avatar
mplsdancehall
 
Posts: 4
Joined: Sat Oct 15, 2011 9:24 am

Postby Geraint » Wed Oct 19, 2011 10:43 am

unzip the file then edit the php file with wordpad and then upload to your server
JEvents Club members can get priority forum support at the Support Forum. As well as access to a variety of custom JEvents addons and benefits. Join the JEvents club today!
User avatar
Geraint
 
Posts: 42811
Joined: Fri Feb 15, 2008 6:14 pm

Postby mplsdancehall » Fri Oct 28, 2011 3:22 pm

i am finally returning to tackle this migration/upgrade, but i have a couple more questions first.

i have a new install (1.7.2) which i migrated/upgraded using SP Upgrade (NOT jUpgrade) but i have not yet installed JEvents in this installation yet -- does this extension create the new installation(of JEvents in J1.7) or do i need to install JEvents first(and have one native calendar before the migration/upgrade)?

and.... re: "the value to set for NEWSITEPATH is the subfolder of the Joomla 1.5 site where your jupgraded version of Joomla 1.6 is" -- do i keep the subfolder in quotation marks? and do i use a '/' at the beginning and/or end of the subfolder name?
i.e., should it look like this:
define("/mysubfoldername", "jupgrade");

thank you for your help!!! :)
User avatar
mplsdancehall
 
Posts: 4
Joined: Sat Oct 15, 2011 9:24 am

Postby Geraint » Sat Oct 29, 2011 8:20 am

You can install JEvents before (or after the migration script is run).

Use
define("NEWSITEPATH", "mysubfoldername");
JEvents Club members can get priority forum support at the Support Forum. As well as access to a variety of custom JEvents addons and benefits. Join the JEvents club today!
User avatar
Geraint
 
Posts: 42811
Joined: Fri Feb 15, 2008 6:14 pm

Next

Return to Jevents 2.x (Free Access)

  • Who is online
  • View new posts
  • View unanswered posts
  • In total there are 2 users online :: 2 registered and 0 hidden (based on users active over the past 5 minutes)
  • Most users ever online was 94 on Tue Sep 01, 2009 12:33 am
  • Users browsing this forum: Bing [Bot], Google [Bot]